## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global blender_api 4.0
%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

%bcond clang	1
%bcond draco	1
# Needed to enable osl support for cycles rendering
%bcond llvm	1
%bcond manpage  1
%bcond openshading	1
%bcond sdl	0
%bcond system_eigen3	1
%bcond wayland	1

%ifarch x86_64 aarch64 ppc64le
%global cyclesflag ON
# Only available on x86_64 and aarch64
%ifarch x86_64 aarch64
%bcond embree	1
%bcond hidapi	1
%ifarch x86_64
%bcond oidn	1
%bcond opgl	1
%bcond rocm	1
%endif
%bcond usd	1
%else
%bcond embree	0
%bcond hidapi	0
%bcond oidn	0
%bcond opgl	0
%bcond usd	0
%endif
%else
%global cyclesflag OFF
%endif

Name:           blender
Epoch:          1
Version:        4.0.2
Release:        %autorelease


Summary:        3D modeling, animation, rendering and post-production
License:        GPL-2.0-or-later
URL:            https://www.blender.org

Source0:        https://download.%{name}.org/source/%{name}-%{version}.tar.xz
# Upstream separated addons from the main source
Source1:        https://projects.%{name}.org/%{name}/%{name}-addons/archive/v%{version}.tar.gz#/%{name}-addons-%{version}.tar.gz
# Rename macros extension to avoid clashing with upstream version
Source2:        macros.%{name}-rpm

Patch1:         %{name}-3.6.1-py312-pylongobject.patch

# Development stuff
BuildRequires:  boost-devel
BuildRequires:  ccache
%if %{with clang}
BuildRequires:  clang
%endif
%if %{with llvm}
BuildRequires:  llvm-devel
%endif
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  git-core
BuildRequires:  libharu-devel
BuildRequires:  libtool
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(blosc)
%if %{with system_eigen3}
BuildRequires:  pkgconfig(eigen3)
%endif
BuildRequires:  pkgconfig(epoxy) >= 1.5.10
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(gmp)
%if %{with hidapi}
BuildRequires:  pkgconfig(hidapi-hidraw)
%endif
BuildRequires:  pkgconfig(jemalloc)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(python3) >= 3.7
%if %{with wayland}
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libdecor-0) >= 0.1.0
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xkbcommon)
%endif
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(idna)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(zstandard)
BuildRequires:  subversion-devel

# Compression stuff
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(lzo2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libzstd)

# 3D modeling stuff
BuildRequires:  cmake(ceres)
%if %{with embree}
BuildRequires:  embree-devel
%endif
BuildRequires:  opensubdiv-devel >= 3.4.4
%if %{with openshading}
# Use oslc compiler
BuildRequires:  openshadinglanguage-common-headers >= 1.12.6.2
BuildRequires:  pkgconfig(oslcomp)
%endif
%if %{with oidn}
BuildRequires:  cmake(OpenImageDenoise)
%endif
%if %{with opgl}
BuildRequires:  openpgl-devel
%endif
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(ftgl)
BuildRequires:  pkgconfig(glut)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  openxr-libs
BuildRequires:  pkgconfig(openxr)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(sdl2)
%if %{with usd}
BuildRequires:  usd-devel
%endif
BuildRequires:  pkgconfig(xproto)

# Picture/Video stuff
BuildRequires:  cmake(Alembic)
BuildRequires:  ffmpeg-free-devel >= 5.1.2
BuildRequires:  lame-devel
BuildRequires:  libspnav-devel
BuildRequires:  openvdb-devel
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vpx)
# OpenColorIO 2 and up required
BuildRequires:  pkgconfig(OpenColorIO) > 1
BuildRequires:  cmake(Imath)
BuildRequires:  cmake(OpenEXR)
BuildRequires:  pkgconfig(OpenImageIO)
BuildRequires:  pkgconfig(libopenjp2)
BuildRequires:  pkgconfig(tbb) = 2020.3
BuildRequires:  potrace-devel

# Audio stuff
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(vorbis)

# Typography stuff
BuildRequires:  fontpackages-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(tinyxml)
# Appstream stuff
BuildRequires:  libappstream-glib

# ROCm stuff
%if %{with rocm}
BuildRequires:  clang-tools-extra
BuildRequires:  lld-devel
BuildRequires:  rocm-comgr-devel
BuildRequires:  rocm-hip-devel
BuildRequires:  rocm-runtime-devel
%endif

Requires:       google-droid-sans-fonts
Requires:       hicolor-icon-theme
Requires:       shared-mime-info
Provides:       blender(ABI) = %{blender_api}

# Obsolete the standalone Blender player retired by upstream
Obsoletes:      blenderplayer < 1:2.80-1
Provides:       blenderplayer = 1:2.80-1

# Obsoletes separate Blender Fonts - rhbz#1889049
Obsoletes:      blender-fonts <  1:2.91.0-5

# Starting from 2.90, Blender support only 64-bits architectures
ExcludeArch:	%{ix86} %{arm}

%description
Blender is the essential software solution you need for 3D, from modeling,
animation, rendering and post-production to interactive creation and playback.

Professionals and novices can easily and inexpensively publish stand-alone,
secure, multi-platform content to the web, CD-ROMs, and other media.

%package rpm-macros
Summary:        RPM macros to build third-party blender addons packages
BuildArch:      noarch

%description rpm-macros
This package provides rpm macros to support the creation of third-party addon
packages to extend Blender.

%prep
%autosetup -p1 -a1

# integrate addons in source tree
for d in addons; do
    # wipe .gitea and .github
    rm -r %{name}-$d/{.gitea,.github}
    cp -pr %{name}-$d/* scripts/addons
    rm -fr %{name}-$d
done

# Delete the bundled FindOpenJPEG to make find_package use the system version
# instead (the local version hardcodes the openjpeg version so it is not update
# proof)
rm -f build_files/cmake/Modules/FindOpenJPEG.cmake

# Fix all Python shebangs recursively in .
%py3_shebang_fix .

# Work around CMake boost module needing the python version to find the library
sed -i "s/date_time/date_time python%{python3_version_nodots}/" \
    build_files/cmake/platform/platform_unix.cmake



%build
%cmake \
    -G Ninja \
    -D_ffmpeg_INCLUDE_DIR=%{_includedir}/ffmpeg \
%if %{with openshading}
    -D_osl_LIBRARIES=%{_libdir} \
    -DOSL_INCLUDE_DIR=%{_includedir} \
    -DOSL_COMPILER=%{_bindir}/oslc \
%endif
    -DBOOST_ROOT=%{_prefix} \
    -DBUILD_SHARED_LIBS=OFF \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_C_FLAGS="%{optflags} -Wl,--as-needed" \
    -DCMAKE_CXX_FLAGS="%{optflags} -Wl,--as-needed" \
    -DCMAKE_CXX_STANDARD=17 \
    -DCMAKE_SKIP_RPATH=ON \
%if %{with clang}
    -DCLANG_INCLUDE_DIR=%{_includedir}/clang \
    -D_CLANG_LIBRARIES=%{_libdir} \
%endif
    -DEMBREE_INCLUDE_DIR=%{_includedir} \
    -DPYTHON_VERSION=%{python3_version} \
    -DWITH_COMPILER_CCACHE=ON \
    -DWITH_CYCLES=%{cyclesflag} \
%ifnarch x86_64
    -DWITH_CYCLES_EMBREE=OFF \
%endif
%if %{with manpage} 
    -DWITH_DOC_MANPAGE=ON \
%endif
%if %{with draco}
    -DWITH_DRACO=ON \
%endif
%if %{with wayland}
    -DWITH_GHOST_WAYLAND_DBUS=ON \
%endif
    -DWITH_INSTALL_PORTABLE=OFF \
    -DWITH_PYTHON_INSTALL=OFF \
%if %{with sdl}
    -DWITH_GHOST_SDL=ON \
%endif
%if %{with system_eigen3}
    -DWITH_SYSTEM_EIGEN3=ON \
%endif
%if %{with usd}
    -DUSD_LIBRARY=%{_libdir}/libusd_ms.so \
%else
    -DWITH_USD=OFF \
%endif
    -DXR_OPENXR_SDK_LOADER_LIBRARY=%{_libdir}/libopenxr_loader.so.1 \
%if %{with rocm}
    -DWITH_CYCLES_HIP_BINARIES=ON \
%endif
    -DWITH_OPENCOLLADA=OFF \
    -DWITH_LIBS_PRECOMPILED=OFF

%cmake_build

%install
%cmake_install

# Install fallback binary
install -Dm755 release/bin/%{name}-softwaregl %{buildroot}%{_bindir}/%{name}-softwaregl

# Deal with docs in the files section
rm -rf %{buildroot}%{_docdir}/%{name}/*

# rpm macros
mkdir -p %{buildroot}%{macrosdir}
sed -e 's/@VERSION@/%{blender_api}/g' %{SOURCE2} > %{buildroot}%{macrosdir}/macros.%{name}-rpm

# Metainfo
install -p -m 644 -D release/freedesktop/org.%{name}.Blender.metainfo.xml \
          %{buildroot}%{_metainfodir}/org.%{name}.Blender.metainfo.xml

# Localization
%find_lang %{name}

# rpmlint fixes
find %{buildroot}%{_datadir}/%{name}/%{blender_api}/scripts -name "*.py" -exec chmod 755 {} \;


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.%{name}.Blender.metainfo.xml

%files -f %{name}.lang
%license COPYING
%license doc/license/*-license.txt
%license release/text/copyright.txt
%doc release/text/readme.html
%{_bindir}/%{name}{,-softwaregl,-thumbnailer}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{blender_api}/datafiles/locale/
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%if %{with manpage}
%{_mandir}/man1/%{name}.*
%endif
%{_metainfodir}/org.%{name}.Blender.metainfo.xml

%files rpm-macros
%{macrosdir}/macros.%{name}-rpm

%changelog
* Sun Dec 10 2023 Luya Tshimbalanga <luya@fedoraproject.org> None-4
- Update to 4.0.2 (fedora#2253092)

* Sat Nov 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> None-3
- [skip changelog]

* Sat Nov 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> None-2
- Update to 4.0.1 (fedora#2249635)

* Tue Nov 14 2023 Luya Tshimbalanga <luya@fedoraproject.org> None-1
- Use new bcond styleb(rpm 4.17+) and fix blender addons macros

* Sun Nov 05 2023 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.6.5-3
- Rebuild for usd-23.11

* Fri Oct 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.6.5-2
- Rebuild for openvdb-10.2.0 (close RHBZ#2246605)

* Sat Oct 21 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.6.5-1
- Update to 3.6.5 (rhbz#2245226)

* Wed Sep 27 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.6.4-1
- Update to 3.6.4

* Mon Sep 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.6.3-2
- Update to 3.6.3 (rhbz#2240306)

* Mon Sep 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.6.3-1
- Update to 3.6.3 (#2240306)

* Fri Sep 15 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.6.2-1
- Update to 3.6.2 (rhbz#2232765)

* Fri Sep 01 2023 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.6.1-3
- Rebuilt for usd 23.08

* Fri Aug 04 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> 1:3.6.1-2
- Apply trial patches for python3.12 compatibility

* Thu Jul 27 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.6.1-1
- Update to 3.6.1 (rhbz#2223840)

* Sun Jul 23 2023 Python Maint <python-maint@redhat.com> 1:3.6.0-4
- Rebuilt for Python 3.12

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1:3.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Python Maint <python-maint@redhat.com> 1:3.6.0-2
- Rebuilt for Python 3.12

* Thu Jun 29 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.6.0-1
- Update to 3.6.0 (rhbz#2218007)

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.5.1-8
- Drop openCOLLADA support (close RHBZ#2218037)

* Tue Jun 20 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.5.1-7
- Enable clang for rocm-hip build dependency

* Tue Jun 20 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.5.1-6
- Restore international language support

* Sun Jun 18 2023 Tom Rix <trix@redhat.com> 1:3.5.1-5
- Enable building cycle hip options --with rocm

* Tue May 30 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.5.1-4
- Rebuild for oidn 2.0.0

* Thu May 11 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.5.1-3
- Rebuild for dracon 1.5.6

* Wed May 03 2023 Orion Poplawski <orion@nwra.com> 1:3.5.1-2
- Fix macros.blender-rpm source reference (bz#2189871)

* Fri Apr 28 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.5.1-1
- Update to 3.5.1 (#2189994)

* Tue Apr 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.5.0-7
- Rename macros file extension to avoid confusion with upstream

* Tue Apr 25 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.5.0-6
- Rename macros file extension to avoid confusion with upstream

* Mon Apr 24 2023 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.5.0-5
- Rebuild for USD 23.05

* Mon Apr 24 2023 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.5.0-4
- Remove || from %%ifarch

* Sun Apr 23 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.5.0-3
- Include missing addon unbundled by upsteam

* Mon Apr 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.5.0-2
- Adjust cmake invocation so USD v23 can be found

* Tue Apr 04 2023 aekoroglu <aekoroglu@linux.intel.com> 1:3.5.0-1
- update to 3.5.0 and ignore the precompiled libraries

* Sun Mar 12 2023 Neal Gompa <ngompa@fedoraproject.org> 1:3.4.1-16
- Add patch to fix build with ffmpeg >= 6.0

* Sun Mar 12 2023 Neal Gompa <ngompa@fedoraproject.org> 1:3.4.1-15
- Rebuild for ffmpeg 6.0

* Thu Mar 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.4.1-14
- Fix building with boost >= 1.81 (fix RHBZ#2172445)

* Wed Mar 01 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.1-13
- Switch back to embree 3 series

* Mon Feb 20 2023 Jonathan Wakely <jwakely@redhat.com> 1:3.4.1-12
- Rebuilt for Boost 1.81

* Sun Feb 12 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.1-11
- Further port to embree4

* Sun Feb 12 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.1-10
- Port to embree4

* Sat Feb 11 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.1-9
- Rebuild for embree-4.0.0

* Tue Jan 31 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.1-8
- Add missing patch fixing include

* Mon Jan 30 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.1-7
- Patch for missing include library due to GCC 13

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> 1:3.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jan 14 2023 Orion Poplawski <orion@nwra.com> 1:3.4.1-5
- Rebuild for libharu 2.4.3

* Sat Jan 14 2023 Orion Poplawski <orion@nwra.com> 1:3.4.1-4
- Drop eigen3 workaround

* Fri Jan 13 2023 Richard Shaw <hobbes1069@gmail.com> 1:3.4.1-3
- Rebuild for OpenColorIO.

* Mon Jan 02 2023 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.1-2
- Rebuild for openvdb 10.0.1

* Sat Dec 24 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.1-1
- Update to 3.4.1 (#2155366)

* Sat Dec 10 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.0-2
- Enable openpgl support

* Fri Dec 09 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.4.0-1
- Update to 3.4.0 (#2152009)

* Thu Nov 17 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.3.1-3
- Enable dbus support

* Fri Oct 07 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.3.1-1
- Update to 3.3.1 (#2132385)

* Wed Sep 14 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.3.0-4
- Synchronise all branches

* Mon Sep 12 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.3.0-2
- Drop end of life release support

* Mon Sep 12 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.3.0-1
- Update to 3.3.0 (#2125188)

* Mon Aug 29 2022 Neal Gompa <ngompa@fedoraproject.org> 1:3.2.2-2
- Rebuild for ffmpeg 5.1 (#2121070)

* Thu Aug 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.2.2-1
- Update to 3.2.2 (close RHBZ#2115219)

* Thu Aug 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.2.1-4
- Update URLs to HTTPS

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.2.1-2
- Synchronize release with F35 version

* Sat Jul 09 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.2.1-1
- local build

* Thu Jul 07 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.2.0-7
- Replace a downstream patch with an upstream one

* Wed Jul 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.2.0-6
- Remove trailing whitespace in the spec file

* Wed Jul 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.2.0-5
- Backport Python 3.11 support (close RHBZ#2098675)

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> 1:3.2.0-4
- Rebuilt for Python 3.11

* Fri Jun 10 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.2.0-3
- Enable ffpmeg support

* Thu Jun 09 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.2.0-2
- Revert deleted pythonlibs-fix

* Thu Jun 09 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.2.0-1
- Update to 3.2.0 (#2094907)

* Wed Jun 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.1.2-6
- Rebuild for usd-22.05a

* Fri May 20 2022 Sandro Mani <manisandro@gmail.com> 1:3.1.2-5
- Rebuild for gdal-3.5.0 and/or openjpeg-2.5.0

* Wed May 04 2022 Thomas Rodgers <trodgers@redhat.com> 1:3.1.2-4
- Rebuilt for Boost 1.78

* Sun Apr 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1:3.1.2-3
- BR usd-devel instead of cmake(pxr)

* Fri Apr 01 2022 Fedora Release Monitoring <release-monitoring@fedoraproject.org> 1:3.1.2-1
- Update to 3.1.2 (#2070344)

* Fri Apr 01 2022 Fedora Release Monitoring <release-monitoring@fedoraproject.org> 1:3.1.1-1
- Update to 3.1.1 (#2070344)

* Sun Mar 13 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.1.0-7
- Rebuild to sync with Fedora 35 version

* Sun Mar 13 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.1.0-6
- Rebuild

* Sat Mar 12 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.1.0-5
- Empty commit

* Sat Mar 12 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.1.0-4
- Bump release to sync with f35 version

* Sat Mar 12 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.1.0-3
- oidn support only for x86_64 arch

* Sat Mar 12 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.1.0-2
- Reenable USD support

* Thu Mar 10 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.1.0-1
- Update to blender 3.1.0

* Mon Feb 28 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.0.1-2
- Bump release

* Tue Feb 22 2022 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.0.1-1
- Update to blender 3.0.1 (#2046570)

* Sun Feb 20 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> 1:3.0.0-4
- Kill package_note for now because of unknown linkage error

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.0.0-2
- Update Blender to 3.0.0 and remove unused patch

* Thu Dec 09 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1:3.0.0-1
- local build

* Sat Nov 27 2021 Luya Tshimbalanga <luya@fedoraproject.org> 1:2.93.6-1
- RPMAUTOSPEC: changelog file removed
